name: big-bear-kasm
services:
  app:
    cpu_shares: 90
    command: []
    container_name: big-bear-kasm
    deploy:
      resources:
        limits:
          memory: 1842M
    environment:
      - KASM_PORT=443
    hostname: big-bear-kasm
    image: linuxserver/kasm:1.120.20221218
    labels:
      icon: https://avatars.githubusercontent.com/u/44181855?s=280&v=4
    ports:
      - mode: ingress
        target: 3000
        published: "3000"
        protocol: tcp
      - mode: ingress
        target: 443
        published: "3001"
        protocol: tcp
    privileged: true
    restart: unless-stopped
    volumes:
      - type: bind
        source: /DATA/AppData/big-bear-kasm/opt
        target: /opt
        bind:
          create_host_path: true
      - type: bind
        source: /DATA/AppData/big-bear-kasm/profiles
        target: /profiles
        bind:
          create_host_path: true
      - type: bind
        source: /dev/input
        target: /dev/input
        bind:
          create_host_path: true
      - type: bind
        source: /run/udev/data
        target: /run/udev/data
        bind:
          create_host_path: true
    devices: []
    cap_add: []
    network_mode: bridge
x-casaos:
  architectures:
    - amd64
    - arm64
  author: BigBearCommunity
  category: BigBearCasaOS
  description:
    en_us: The Container Streaming Platform - Streaming containerized apps and
      desktops to end-users. The Workspaces platform provides enterprise-class
      orchestration, data loss prevention, and web streaming technology to
      enable the delivery of containerized workloads to your browser.
  developer: Kasm
  hostname: ""
  icon: https://avatars.githubusercontent.com/u/44181855?s=280&v=4
  index: /
  is_uncontrolled: false
  main: app
  port_map: "3000"
  scheme: https
  store_app_id: big-bear-kasm
  tagline:
    en_us: Kasm
  thumbnail: ""
  tips:
    before_install:
      en_us: |
        Admin default address: admin@kasm.local
        User default address: user@kasm.local
  title:
    custom: ""
    en_us: Kasm
